import dynamix_sdk.base as _base


class CloudapiComputeAntiAffinityRulesClearResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeAntiAffinityRulesClearProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def anti_affinity_rules_clear(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeAntiAffinityRulesClearResultBool:
        ...
